Subject: bug#44837: 28.0.50; Local-variables: in middle of file wants to get executed

From: Jean Louis <[email-masked]>
Date: Thu, 26 Nov 2020 21:42:27 +0300

* Lars Ingebrigtsen <[email-masked]> [2020-11-26 15:55]:
> Jean Louis <[email-masked]> writes:
> 
> >> I'm unable to reproduce this bug.  How are you reading this mail?
> >> rmail?  Gnus?  Something else?
> >
> > By invoking emacsclient
> >
> > That it is email is not relevant. I would like to say that focus shall
> > be on those follow up emails from me on how to improve the dialogue.
> >
> > Did you get it?
> 
> Nope.  Having an Emacs client eval arbitrary code that it's receiving
> would be a major security problem.  Loading local files is less of a
> problem.

Please see here:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44837#8

> So if this has nothing to do with emails, that's nice.

I do not think that major problem is email but more fundamental in how
is that dialogue displayed.

When I read email with Mutt and use Emacs, then local variables want
to get executed.

My comments are on the above link as I forgot to include you and
assumed you would get email automatically.

Thank you,
Jean